<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/gallery/init.jsp" %>

<div class="gallery-root" id="<%= galleryId %>"></div>

<aui:script require="commerce-frontend-js/components/gallery/entry as gallery">
	gallery.default('<%= galleryId %>', '<%= galleryId %>', {
		images: <%= jsonSerializer.serializeDeep(images) %>,
		portletId: '<%= portletDisplay.getRootPortletId() %>',
	});
</aui:script>