Liferay.Loader.define("commerce-frontend-js@3.0.26/ServiceProvider/commerce-admin-pricing/v2.0/PriceEntry", ['module', 'exports', 'require', '../../../utilities/AJAX/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _index = _interopRequireDefault(require("../../../utilities/AJAX/index"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var VERSION = 'v2.0';

    function resolvePath(basePath, priceListId, priceEntryId) {
      var path = "".concat(basePath).concat(VERSION, "/price-lists/").concat(priceListId, "/price-entries");

      if (priceEntryId) {
        path += "/".concat(priceEntryId);
      }

      return path;
    }

    var _default = function _default(basePath) {
      return {
        addPriceEntry: function addPriceEntry(priceListId, json) {
          return _index.default.POST(resolvePath(basePath, priceListId), json);
        }
      };
    };

    exports.default = _default;
    //# sourceMappingURL=PriceEntry.js.map
  }
});
//# sourceMappingURL=PriceEntry.js.map