Liferay.Loader.define("commerce-frontend-js@3.0.26/components/dataset_display/views/cards/Cards", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/card', 'frontend-js-react-web$classnames', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _card = require("@frontend-taglib-clay$clayui/card");

    var _classnames = _interopRequireDefault(require("frontend-js-react-web$classnames"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function Cards(props) {
      var _useContext = (0, _react.useContext)(props.datasetDisplayContext),
          selectItems = _useContext.selectItems,
          selectable = _useContext.selectable,
          selectedItemsKey = _useContext.selectedItemsKey,
          selectedItemsValue = _useContext.selectedItemsValue,
          style = _useContext.style;

      return (/*#__PURE__*/_react.default.createElement("div", {
          className: (0, _classnames.default)('cards-container mb-n4', style === 'default' && 'px-3 pt-4')
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "row"
        }, props.items.map(function (item) {
          return (/*#__PURE__*/_react.default.createElement("div", {
              className: "col-md-3",
              key: item[selectedItemsKey]
            }, /*#__PURE__*/_react.default.createElement(_card.ClayCardWithInfo, {
              actions: item.actionItems,
              description: props.schema.description && item[props.schema.description],
              href: props.schema.href && item[props.schema.href],
              imgProps: props.schema.imgProps && item[props.schema.imgProps],
              onSelectChange: selectable && function () {
                return selectItems(item[selectedItemsKey]);
              },
              selected: selectable && !!selectedItemsValue.find(function (el) {
                return el === item[selectedItemsKey];
              }),
              stickerProps: props.schema.stickerProps && item[props.schema.stickerProps],
              symbol: props.schema.symbol && item[props.schema.symbol],
              title: props.schema.title && item[props.schema.title]
            }))
          );
        })))
      );
    }

    var _default = Cards;
    exports.default = _default;
    //# sourceMappingURL=Cards.js.map
  }
});
//# sourceMappingURL=Cards.js.map