Liferay.Loader.define("commerce-frontend-js@3.0.26/components/summary/Summary", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/loading-indicator', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../../utilities/AJAX/index', '../../utilities/eventsDefinitions'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _loadingIndicator = _interopRequireDefault(require("@frontend-taglib-clay$clayui/loading-indicator"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _index = _interopRequireDefault(require("../../utilities/AJAX/index"));

    var _eventsDefinitions = require("../../utilities/eventsDefinitions");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function _objectWithoutProperties(source, excluded) {
      if (source == null) return {};var target = _objectWithoutPropertiesLoose(source, excluded);var key, i;if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);for (i = 0; i < sourceSymbolKeys.length; i++) {
          key = sourceSymbolKeys[i];if (excluded.indexOf(key) >= 0) continue;if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;target[key] = source[key];
        }
      }return target;
    }

    function _objectWithoutPropertiesLoose(source, excluded) {
      if (source == null) return {};var target = {};var sourceKeys = Object.keys(source);var key, i;for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];if (excluded.indexOf(key) >= 0) continue;target[key] = source[key];
      }return target;
    }

    function SummaryItemDividerVariant() {
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "col-12"
        }, /*#__PURE__*/_react.default.createElement("hr", null))
      );
    }

    function SummaryItemBase(props) {
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
          className: "col-6 col-md-9"
        }, /*#__PURE__*/_react.default.createElement("span", {
          className: "summary-table-item"
        }, props.label)), /*#__PURE__*/_react.default.createElement("div", {
          className: "col-6 col-md-3"
        }, /*#__PURE__*/_react.default.createElement("span", {
          className: "summary-table-item"
        }, props.value)))
      );
    }

    function SummaryItemBigVariant(props) {
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
          className: "col-6 col-md-9"
        }, /*#__PURE__*/_react.default.createElement("h4", {
          className: "my-2 summary-table-item-big"
        }, props.label)), /*#__PURE__*/_react.default.createElement("div", {
          className: "col-6 col-md-3"
        }, /*#__PURE__*/_react.default.createElement("h4", {
          className: "my-2 summary-table-item-big"
        }, props.value)))
      );
    }

    function SummaryItemDangerVariant(props) {
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
          className: "col-6 col-md-9 text-danger"
        }, /*#__PURE__*/_react.default.createElement("span", {
          className: "summary-table-item"
        }, props.label)), /*#__PURE__*/_react.default.createElement("div", {
          className: "col-6 col-md-3 text-danger"
        }, /*#__PURE__*/_react.default.createElement("span", {
          className: "summary-table-item"
        }, props.value)))
      );
    }

    function SummaryItem(props) {
      var style = props.style,
          itemProps = _objectWithoutProperties(props, ["style"]);

      var ItemVariant;

      switch (style) {
        case 'big':
          ItemVariant = SummaryItemBigVariant;
          break;

        case 'divider':
          ItemVariant = SummaryItemDividerVariant;
          break;

        case 'danger':
          ItemVariant = SummaryItemDangerVariant;
          break;

        default:
          ItemVariant = SummaryItemBase;
          break;
      }

      return (/*#__PURE__*/_react.default.createElement(ItemVariant, itemProps)
      );
    }

    function Summary(_ref) {
      var apiUrl = _ref.apiUrl,
          dataMapper = _ref.dataMapper,
          datasetDisplayId = _ref.datasetDisplayId,
          isLoading = _ref.isLoading,
          _ref$items = _ref.items,
          items = _ref$items === void 0 ? [] : _ref$items,
          summaryData = _ref.summaryData;

      var _useState = (0, _react.useState)(items),
          _useState2 = _slicedToArray(_useState, 2),
          summaryItems = _useState2[0],
          updateSummaryItems = _useState2[1];

      var mapDataToLayout = (0, _react.useCallback)(function (data) {
        return typeof dataMapper === 'function' ? dataMapper(data) : data;
      }, [dataMapper]);
      var refreshData = (0, _react.useCallback)(function (_ref2) {
        var _ref2$id = _ref2.id,
            id = _ref2$id === void 0 ? null : _ref2$id;

        if (!id || datasetDisplayId !== id) {
          return _index.default.GET(apiUrl).then(function (data) {
            return updateSummaryItems(mapDataToLayout(data));
          });
        }
      }, [apiUrl, datasetDisplayId, mapDataToLayout]);
      (0, _react.useEffect)(function () {
        if (!!apiUrl && !!datasetDisplayId) {
          Liferay.on(_eventsDefinitions.DATASET_DISPLAY_UPDATED, refreshData);
          refreshData({});
          return function () {
            return Liferay.detach(_eventsDefinitions.DATASET_DISPLAY_UPDATED, refreshData);
          };
        }

        return function () {};
      }, [apiUrl, datasetDisplayId, refreshData]);
      (0, _react.useEffect)(function () {
        if (!!summaryData && Object.keys(summaryData).length > 0) {
          updateSummaryItems(mapDataToLayout(summaryData));
        }

        return function () {};
      }, [mapDataToLayout, summaryData]);
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "row summary-table text-right"
        }, summaryItems.map(function (item, i) {
          return (/*#__PURE__*/_react.default.createElement(SummaryItem, _extends({
              key: i
            }, item))
          );
        }), isLoading && /*#__PURE__*/_react.default.createElement("div", {
          className: 'summary-table-loader'
        }, /*#__PURE__*/_react.default.createElement(_loadingIndicator.default, null)))
      );
    }

    Summary.defaultProps = {
      dataMapper: function dataMapper(jsonData) {
        return [{
          label: Liferay.Language.get('subtotal'),
          value: jsonData.subtotalFormatted
        }, {
          label: Liferay.Language.get('subtotal-discount'),
          value: jsonData.subtotalDiscountAmountFormatted
        }, {
          label: Liferay.Language.get('total-discount'),
          value: jsonData.totalDiscountAmountFormatted
        }, {
          label: Liferay.Language.get('promotion-code'),
          value: jsonData.couponCode || '--'
        }, {
          label: Liferay.Language.get('tax'),
          value: jsonData.taxValueFormatted
        }, {
          label: Liferay.Language.get('delivery'),
          value: jsonData.shippingAmountFormatted
        }, {
          label: Liferay.Language.get('delivery-discount'),
          value: jsonData.shippingDiscountAmountFormatted
        }, {
          style: 'divider'
        }, {
          label: Liferay.Language.get('total'),
          style: 'big',
          value: jsonData.totalFormatted
        }];
      },
      isLoading: false
    };
    var _default = Summary;
    exports.default = _default;
    //# sourceMappingURL=Summary.js.map
  }
});
//# sourceMappingURL=Summary.js.map