Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/App.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', 'portal-workflow-metrics-web$react-router-dom', '../shared/components/header/HeaderController.es', '../shared/components/router/routerUtil.es', './AppContext.es', './instance-list-page/InstanceListPage.es', './performance-by-assignee-page/PerformanceByAssigneePage.es', './performance-by-step-page/PerformanceByStepPage.es', './process-list-page/ProcessListPage.es', './process-metrics/ProcessMetricsContainer.es', './settings/SettingsContainer.es', './sla/SLAContainer.es', './workload-by-assignee-page/WorkloadByAssigneePage.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _reactRouterDom = require("portal-workflow-metrics-web$react-router-dom");

    var _HeaderController = _interopRequireDefault(require("../shared/components/header/HeaderController.es"));

    var _routerUtil = require("../shared/components/router/routerUtil.es");

    var _AppContext = require("./AppContext.es");

    var _InstanceListPage = _interopRequireDefault(require("./instance-list-page/InstanceListPage.es"));

    var _PerformanceByAssigneePage = _interopRequireDefault(require("./performance-by-assignee-page/PerformanceByAssigneePage.es"));

    var _PerformanceByStepPage = _interopRequireDefault(require("./performance-by-step-page/PerformanceByStepPage.es"));

    var _ProcessListPage = _interopRequireDefault(require("./process-list-page/ProcessListPage.es"));

    var _ProcessMetricsContainer = _interopRequireDefault(require("./process-metrics/ProcessMetricsContainer.es"));

    var _SettingsContainer = _interopRequireDefault(require("./settings/SettingsContainer.es"));

    var _SLAContainer = _interopRequireDefault(require("./sla/SLAContainer.es"));

    var _WorkloadByAssigneePage = _interopRequireDefault(require("./workload-by-assignee-page/WorkloadByAssigneePage.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var App = function App(props) {
      return (/*#__PURE__*/_react.default.createElement(_reactRouterDom.HashRouter, null, /*#__PURE__*/_react.default.createElement(_AppContext.AppContextProvider, props, /*#__PURE__*/_react.default.createElement(_HeaderController.default, {
          basePath: "/processes"
        }), /*#__PURE__*/_react.default.createElement("div", {
          className: "portal-workflow-metrics-app"
        }, /*#__PURE__*/_react.default.createElement(_reactRouterDom.Switch, null, /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
          exact: true,
          path: "/",
          render: (0, _routerUtil.withParams)(_ProcessListPage.default)
        }), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
          path: "/processes/:pageSize/:page/:sort",
          render: (0, _routerUtil.withParams)(_ProcessListPage.default)
        }), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
          path: "/metrics/:processId",
          render: (0, _routerUtil.withParams)(_ProcessMetricsContainer.default)
        }), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
          path: "/instance/:processId/:pageSize/:page",
          render: (0, _routerUtil.withParams)(_InstanceListPage.default)
        }), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
          component: _SLAContainer.default,
          path: "/sla/:processId"
        }), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
          exact: true,
          path: "/performance/step/:processId/:pageSize/:page/:sort",
          render: (0, _routerUtil.withParams)(_PerformanceByStepPage.default)
        }), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
          exact: true,
          path: "/workload/assignee/:processId/:pageSize/:page/:sort",
          render: (0, _routerUtil.withParams)(_WorkloadByAssigneePage.default)
        }), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
          exact: true,
          path: "/performance/assignee/:processId/:pageSize/:page/:sort",
          render: (0, _routerUtil.withParams)(_PerformanceByAssigneePage.default)
        }), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
          component: _SettingsContainer.default,
          path: "/settings"
        })))))
      );
    };

    var _default = App;
    exports.default = _default;
    //# sourceMappingURL=App.es.js.map
  }
});
//# sourceMappingURL=App.es.js.map