Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/instance-list-page/modal/reassign/bulk/select-assignees-step/SelectAssigneesStepBody.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/modal', 'frontend-js-react-web$react', '../../../../../../shared/components/content-view/ContentView.es', '../../../../../../shared/components/list/RetryButton.es', '../../../../../../shared/components/pagination-bar/PaginationBar.es', '../../../../../../shared/hooks/usePaginationState.es', '../../../../../AppContext.es', './SelectAssigneesStepTable.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.Body = void 0;

    var _modal = _interopRequireDefault(require("@frontend-taglib-clay$clayui/modal"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ContentView = _interopRequireDefault(require("../../../../../../shared/components/content-view/ContentView.es"));

    var _RetryButton = _interopRequireDefault(require("../../../../../../shared/components/list/RetryButton.es"));

    var _PaginationBar = _interopRequireDefault(require("../../../../../../shared/components/pagination-bar/PaginationBar.es"));

    var _usePaginationState2 = require("../../../../../../shared/hooks/usePaginationState.es");

    var _AppContext = require("../../../../../AppContext.es");

    var _SelectAssigneesStepTable = require("./SelectAssigneesStepTable.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var Body = function Body(_ref) {
      var data = _ref.data,
          setRetry = _ref.setRetry,
          tasks = _ref.tasks;

      var _useContext = (0, _react.useContext)(_AppContext.AppContext),
          _useContext$deltaValu = _slicedToArray(_useContext.deltaValues, 1),
          initialPageSize = _useContext$deltaValu[0];

      var _usePaginationState = (0, _usePaginationState2.usePaginationState)({
        initialPageSize: initialPageSize,
        items: tasks
      }),
          paginatedItems = _usePaginationState.paginatedItems,
          pagination = _usePaginationState.pagination;

      var statesProps = (0, _react.useMemo)(function () {
        return {
          errorProps: {
            actionButton: /*#__PURE__*/_react.default.createElement(_RetryButton.default, {
              onClick: function onClick() {
                return setRetry(function (retry) {
                  return retry + 1;
                });
              }
            }),
            className: 'mt-5 py-8',
            hideAnimation: true,
            message: Liferay.Language.get('failed-to-retrieve-assignees'),
            messageClassName: 'small'
          },
          loadingProps: {
            className: 'mt-5 py-8',
            message: Liferay.Language.get('retrieving-all-possible-assignees'),
            messageClassName: 'small'
          }
        };
      }, [setRetry]);
      return (/*#__PURE__*/_react.default.createElement(_modal.default.Body, null, /*#__PURE__*/_react.default.createElement(_ContentView.default, statesProps, /*#__PURE__*/_react.default.createElement(Body.Table, {
          data: data,
          items: paginatedItems
        }), /*#__PURE__*/_react.default.createElement(_PaginationBar.default, _extends({}, pagination, {
          totalCount: tasks.length,
          withoutRouting: true
        }))))
      );
    };

    exports.Body = Body;
    Body.Table = _SelectAssigneesStepTable.Table;
    //# sourceMappingURL=SelectAssigneesStepBody.es.js.map
  }
});
//# sourceMappingURL=SelectAssigneesStepBody.es.js.map