Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/instance-list-page/modal/shared/select-tasks-step/SelectTasksStep.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../../../../shared/components/promises-resolver/PromisesResolver.es', '../../../../../shared/hooks/useFilter.es', '../../../../../shared/hooks/usePaginationState.es', '../../../../AppContext.es', '../../ModalProvider.es', './SelectTasksStepBody.es', './SelectTasksStepHeader.es', './hooks/useFetchTasks.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _PromisesResolver = _interopRequireDefault(require("../../../../../shared/components/promises-resolver/PromisesResolver.es"));

    var _useFilter2 = require("../../../../../shared/hooks/useFilter.es");

    var _usePaginationState2 = require("../../../../../shared/hooks/usePaginationState.es");

    var _AppContext = require("../../../../AppContext.es");

    var _ModalProvider = require("../../ModalProvider.es");

    var _SelectTasksStepBody = require("./SelectTasksStepBody.es");

    var _SelectTasksStepHeader = require("./SelectTasksStepHeader.es");

    var _useFetchTasks2 = require("./hooks/useFetchTasks.es");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    var SelectTasksStep = function SelectTasksStep(_ref) {
      var setErrorToast = _ref.setErrorToast,
          withoutUnassigned = _ref.withoutUnassigned;

      var _useContext = (0, _react.useContext)(_AppContext.AppContext),
          deltaValues = _useContext.deltaValues;

      var _useContext2 = (0, _react.useContext)(_ModalProvider.ModalContext),
          setSelectTasks = _useContext2.setSelectTasks;

      var _useFilter = (0, _useFilter2.useFilter)({
        withoutRouteParams: true
      }),
          _useFilter$filterValu = _useFilter.filterValues,
          bulkAssigneeIds = _useFilter$filterValu.bulkAssigneeIds,
          bulkTaskNames = _useFilter$filterValu.bulkTaskNames;

      var _usePaginationState = (0, _usePaginationState2.usePaginationState)({
        initialPageSize: deltaValues[0]
      }),
          page = _usePaginationState.page,
          pageSize = _usePaginationState.pageSize,
          pagination = _usePaginationState.pagination;

      var _useFetchTasks = (0, _useFetchTasks2.useFetchTasks)({
        page: page,
        pageSize: pageSize,
        withoutUnassigned: withoutUnassigned
      }),
          data = _useFetchTasks.data,
          fetchTasks = _useFetchTasks.fetchTasks,
          instanceIds = _useFetchTasks.instanceIds;

      var paginationState = _objectSpread(_objectSpread({}, pagination), {}, {
        totalCount: data.totalCount
      });

      (0, _react.useEffect)(function () {
        if (page !== 1) {
          pagination.setPage(1);
        } // eslint-disable-next-line react-hooks/exhaustive-deps
      }, [bulkAssigneeIds, bulkTaskNames]);

      var _useState = (0, _react.useState)(0),
          _useState2 = _slicedToArray(_useState, 2),
          retry = _useState2[0],
          setRetry = _useState2[1];

      var promises = (0, _react.useMemo)(function () {
        setErrorToast(false);
        return [fetchTasks().catch(function (err) {
          setSelectTasks({
            selectAll: false,
            tasks: []
          });
          setErrorToast(Liferay.Language.get('your-request-has-failed'));
          return Promise.reject(err);
        })]; // eslint-disable-next-line react-hooks/exhaustive-deps
      }, [fetchTasks, retry]);
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "fixed-height modal-metrics-content"
        }, /*#__PURE__*/_react.default.createElement(_PromisesResolver.default, {
          promises: promises
        }, /*#__PURE__*/_react.default.createElement(SelectTasksStep.Header, _extends({}, data, {
          instanceIds: instanceIds,
          withoutUnassigned: withoutUnassigned
        })), /*#__PURE__*/_react.default.createElement(SelectTasksStep.Body, _extends({}, data, {
          pagination: paginationState,
          setRetry: setRetry
        }))))
      );
    };

    SelectTasksStep.Body = _SelectTasksStepBody.Body;
    SelectTasksStep.Header = _SelectTasksStepHeader.Header;
    var _default = SelectTasksStep;
    exports.default = _default;
    //# sourceMappingURL=SelectTasksStep.es.js.map
  }
});
//# sourceMappingURL=SelectTasksStep.es.js.map