Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/process-metrics/performance-by-assignee-card/PerformanceByAssigneeCard.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/layout', 'frontend-js-react-web$react', '../../../shared/components/Panel.es', '../../../shared/components/promises-resolver/PromisesResolver.es', '../../../shared/hooks/useFilter.es', '../../../shared/hooks/usePost.es', '../../filter/ProcessStepFilter.es', '../../filter/TimeRangeFilter.es', '../../filter/util/timeRangeUtil.es', './PerformanceByAssigneeCardBody.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _Panel = _interopRequireDefault(require("../../../shared/components/Panel.es"));

    var _PromisesResolver = _interopRequireDefault(require("../../../shared/components/promises-resolver/PromisesResolver.es"));

    var _useFilter2 = require("../../../shared/hooks/useFilter.es");

    var _usePost2 = require("../../../shared/hooks/usePost.es");

    var _ProcessStepFilter = _interopRequireDefault(require("../../filter/ProcessStepFilter.es"));

    var _TimeRangeFilter = _interopRequireDefault(require("../../filter/TimeRangeFilter.es"));

    var _timeRangeUtil = require("../../filter/util/timeRangeUtil.es");

    var _PerformanceByAssigneeCardBody = require("./PerformanceByAssigneeCardBody.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var Header = function Header(_ref) {
      var disableFilters = _ref.disableFilters,
          prefixKey = _ref.prefixKey,
          processId = _ref.processId;
      return (/*#__PURE__*/_react.default.createElement(_Panel.default.HeaderWithOptions, {
          description: Liferay.Language.get('performance-by-assignee-description'),
          elementClasses: "dashboard-panel-header",
          title: Liferay.Language.get('performance-by-assignee')
        }, /*#__PURE__*/_react.default.createElement(_layout.default.ContentCol, {
          className: "m-0 management-bar management-bar-light navbar"
        }, /*#__PURE__*/_react.default.createElement("ul", {
          className: "navbar-nav"
        }, /*#__PURE__*/_react.default.createElement(_ProcessStepFilter.default, {
          disabled: disableFilters,
          options: {
            hideControl: true,
            multiple: false,
            position: 'right',
            withAllSteps: true,
            withSelectionTitle: true
          },
          prefixKey: prefixKey,
          processId: processId
        }), /*#__PURE__*/_react.default.createElement(_TimeRangeFilter.default, {
          className: 'pl-3',
          disabled: disableFilters,
          options: {
            position: 'right'
          },
          prefixKey: prefixKey
        }))))
      );
    };

    var PerformanceByAssigneeCard = function PerformanceByAssigneeCard(_ref2) {
      var routeParams = _ref2.routeParams;
      var processId = routeParams.processId;

      var prefixKey = 'assignee';


      var _useFilter = (0, _useFilter2.useFilter)({
        filterKeys: ['processStep', 'timeRange'],
        prefixKeys: [prefixKey]
      }),
          _useFilter$filterValu = _useFilter.filterValues,
          assigneeDateEnd = _useFilter$filterValu.assigneeDateEnd,
          assigneeDateStart = _useFilter$filterValu.assigneeDateStart,
          _useFilter$filterValu2 = _useFilter$filterValu.assigneeTaskNames;

      _useFilter$filterValu2 = _useFilter$filterValu2 === void 0 ? ['allSteps'] : _useFilter$filterValu2;

      var _useFilter$filterValu3 = _slicedToArray(_useFilter$filterValu2, 1),
          taskName = _useFilter$filterValu3[0],
          _useFilter$filterValu4 = _useFilter$filterValu.assigneeTimeRange;

      _useFilter$filterValu4 = _useFilter$filterValu4 === void 0 ? [] : _useFilter$filterValu4;

      var _useFilter$filterValu5 = _slicedToArray(_useFilter$filterValu4, 1),
          key = _useFilter$filterValu5[0],
          filtersError = _useFilter.filtersError;

      var taskNames = taskName !== 'allSteps' ? [taskName] : undefined;
      var timeRange = (0, _react.useMemo)(function () {
        return (0, _timeRangeUtil.getTimeRangeParams)(assigneeDateStart, assigneeDateEnd);
      }, [assigneeDateEnd, assigneeDateStart]);

      var _usePost = (0, _usePost2.usePost)({
        body: _objectSpread({
          completed: true,
          taskNames: taskNames
        }, timeRange),
        params: {
          page: 1,
          pageSize: 10,
          sort: 'durationTaskAvg:desc'
        },
        url: "/processes/".concat(processId, "/assignees/metrics")
      }),
          data = _usePost.data,
          postData = _usePost.postData;

      var promises = (0, _react.useMemo)(function () {
        if (timeRange.dateEnd && timeRange.dateStart) {
          return [postData()];
        }

        return [new Promise(function (_, reject) {
          return reject(filtersError);
        })];
      }, [filtersError, postData, timeRange.dateEnd, timeRange.dateStart]);
      return (/*#__PURE__*/_react.default.createElement(_Panel.default, {
          elementClasses: "dashboard-card"
        }, /*#__PURE__*/_react.default.createElement(_PromisesResolver.default, {
          promises: promises
        }, /*#__PURE__*/_react.default.createElement(PerformanceByAssigneeCard.Header, _extends({
          disableFilters: filtersError,
          prefixKey: prefixKey
        }, routeParams)), /*#__PURE__*/_react.default.createElement(PerformanceByAssigneeCard.Body, _extends({}, data, {
          filtered: !!taskNames
        })), /*#__PURE__*/_react.default.createElement(PerformanceByAssigneeCard.Footer, _extends({
          processStep: taskName,
          timeRange: _objectSpread({
            key: key
          }, timeRange),
          totalCount: data.totalCount
        }, routeParams))))
      );
    };

    PerformanceByAssigneeCard.Body = _PerformanceByAssigneeCardBody.Body;
    PerformanceByAssigneeCard.Footer = _PerformanceByAssigneeCardBody.Footer;
    PerformanceByAssigneeCard.Header = Header;
    var _default = PerformanceByAssigneeCard;
    exports.default = _default;
    //# sourceMappingURL=PerformanceByAssigneeCard.es.js.map
  }
});
//# sourceMappingURL=PerformanceByAssigneeCard.es.js.map