Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/process-metrics/process-items/CompletedItemsCard.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../../shared/hooks/useFilter.es', '../../filter/TimeRangeFilter.es', '../../filter/util/timeRangeUtil.es', './ProcessItemsCard.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _useFilter2 = require("../../../shared/hooks/useFilter.es");

    var _TimeRangeFilter = _interopRequireDefault(require("../../filter/TimeRangeFilter.es"));

    var _timeRangeUtil = require("../../filter/util/timeRangeUtil.es");

    var _ProcessItemsCard = _interopRequireDefault(require("./ProcessItemsCard.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var CompletedItemsCard = function CompletedItemsCard(_ref) {
      var routeParams = _ref.routeParams;

      var prefixKey = 'completed';


      var _useFilter = (0, _useFilter2.useFilter)({
        filterKeys: ['timeRange'],
        prefixKeys: [prefixKey]
      }),
          _useFilter$filterValu = _useFilter.filterValues,
          completedDateEnd = _useFilter$filterValu.completedDateEnd,
          completedDateStart = _useFilter$filterValu.completedDateStart,
          _useFilter$filterValu2 = _useFilter$filterValu.completedTimeRange;

      _useFilter$filterValu2 = _useFilter$filterValu2 === void 0 ? [] : _useFilter$filterValu2;

      var _useFilter$filterValu3 = _slicedToArray(_useFilter$filterValu2, 1),
          key = _useFilter$filterValu3[0],
          filtersError = _useFilter.filtersError;

      var timeRange = (0, _react.useMemo)(function () {
        return (0, _timeRangeUtil.getTimeRangeParams)(completedDateStart, completedDateEnd);
      }, [completedDateEnd, completedDateStart]);
      return (/*#__PURE__*/_react.default.createElement(_ProcessItemsCard.default, _extends({
          completed: true,
          description: Liferay.Language.get('completed-items-description'),
          timeRange: _objectSpread({
            key: key
          }, timeRange),
          title: Liferay.Language.get('completed-items')
        }, routeParams), /*#__PURE__*/_react.default.createElement(_TimeRangeFilter.default, {
          disabled: filtersError,
          options: {
            position: 'right'
          },
          prefixKey: prefixKey
        }))
      );
    };

    var _default = CompletedItemsCard;
    exports.default = _default;
    //# sourceMappingURL=CompletedItemsCard.es.js.map
  }
});
//# sourceMappingURL=CompletedItemsCard.es.js.map