Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/process-metrics/process-items/Panels.es", ['module', 'exports', 'require', '../../filter/SLAStatusFilter.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _SLAStatusFilter = require("../../filter/SLAStatusFilter.es");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var PANELS = [{
      addressedToField: 'overdueInstanceCount',
      getTitle: function getTitle() {
        return Liferay.Language.get('overdue');
      },
      iconColor: 'danger',
      iconName: 'exclamation-circle',
      slaStatusFilter: _SLAStatusFilter.slaStatusConstants.overdue,
      totalField: 'instanceCount'
    }, {
      addressedToField: 'onTimeInstanceCount',
      getTitle: function getTitle() {
        return Liferay.Language.get('on-time');
      },
      iconColor: 'success',
      iconName: 'check-circle',
      slaStatusFilter: _SLAStatusFilter.slaStatusConstants.onTime,
      totalField: 'instanceCount'
    }, {
      addressedToField: 'untrackedInstanceCount',
      getTitle: function getTitle() {
        return Liferay.Language.get('untracked');
      },
      iconColor: 'info',
      iconName: 'hr',
      slaStatusFilter: _SLAStatusFilter.slaStatusConstants.untracked,
      totalField: 'instanceCount'
    }, {
      addressedToField: 'instanceCount',
      getTitle: function getTitle(completed) {
        return completed ? Liferay.Language.get('total-completed') : Liferay.Language.get('total-pending');
      },
      totalField: 'instanceCount'
    }];
    var _default = PANELS;
    exports.default = _default;
    //# sourceMappingURL=Panels.es.js.map
  }
});
//# sourceMappingURL=Panels.es.js.map