Liferay.Loader.define('portal-workflow-metrics-web@2.0.46/js/components/settings/indexes-page/IndexesConstants.es', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.getIndexesGroups = exports.INDEXES_GROUPS_KEYS = exports.SLA_INDEXES_KEY = exports.METRIC_INDEXES_KEY = exports.ALL_INDEXES_KEY = void 0;

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var ALL_INDEXES_KEY = 'All';
    exports.ALL_INDEXES_KEY = ALL_INDEXES_KEY;
    var METRIC_INDEXES_KEY = 'Metric';
    exports.METRIC_INDEXES_KEY = METRIC_INDEXES_KEY;
    var SLA_INDEXES_KEY = 'SLA';
    exports.SLA_INDEXES_KEY = SLA_INDEXES_KEY;
    var INDEXES_GROUPS_KEYS = [ALL_INDEXES_KEY, METRIC_INDEXES_KEY, SLA_INDEXES_KEY];
    exports.INDEXES_GROUPS_KEYS = INDEXES_GROUPS_KEYS;

    var getIndexesGroups = function getIndexesGroups() {
      var _ref;

      return _ref = {}, _defineProperty(_ref, METRIC_INDEXES_KEY, {
        indexes: [{
          key: METRIC_INDEXES_KEY,
          label: Liferay.Language.get('workflow-metrics-indexes')
        }],
        key: METRIC_INDEXES_KEY,
        label: Liferay.Language.get('metrics')
      }), _defineProperty(_ref, SLA_INDEXES_KEY, {
        indexes: [{
          key: SLA_INDEXES_KEY,
          label: Liferay.Language.get('workflow-sla-indexes')
        }],
        key: SLA_INDEXES_KEY,
        label: Liferay.Language.get('slas')
      }), _ref;
    };

    exports.getIndexesGroups = getIndexesGroups;
    //# sourceMappingURL=IndexesConstants.es.js.map
  }
});
//# sourceMappingURL=IndexesConstants.es.js.map