Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/components/empty-state/EmptyState.es", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var EmptyState = function EmptyState(_ref) {
      var actionButton = _ref.actionButton,
          _ref$className = _ref.className,
          className = _ref$className === void 0 ? 'pb-5 pt-6 sheet' : _ref$className,
          filtered = _ref.filtered,
          _ref$filteredMessage = _ref.filteredMessage,
          filteredMessage = _ref$filteredMessage === void 0 ? Liferay.Language.get('no-results-were-found') : _ref$filteredMessage,
          hideAnimation = _ref.hideAnimation,
          _ref$message = _ref.message,
          message = _ref$message === void 0 ? Liferay.Language.get('there-is-no-data-at-the-moment') : _ref$message,
          messageClassName = _ref.messageClassName,
          title = _ref.title;
      var animationClassName = "taglib-empty-".concat(filtered ? 'search-' : '', "result-message-header");
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "".concat(className, " taglib-empty-result-message")
        }, !hideAnimation && /*#__PURE__*/_react.default.createElement("div", {
          className: animationClassName
        }), title && /*#__PURE__*/_react.default.createElement("h3", {
          className: "text-center"
        }, title), /*#__PURE__*/_react.default.createElement("div", {
          className: "sheet-text text-center"
        }, /*#__PURE__*/_react.default.createElement("p", {
          className: messageClassName
        }, filtered ? filteredMessage : message), actionButton))
      );
    };

    var _default = EmptyState;
    exports.default = _default;
    //# sourceMappingURL=EmptyState.es.js.map
  }
});
//# sourceMappingURL=EmptyState.es.js.map