Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/components/header/HeaderReindexStatus.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/tooltip', 'frontend-js-react-web$react', '../../../components/settings/indexes-page/hooks/useReindexActions.es', '../portal/Portal.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _tooltip = require("@frontend-taglib-clay$clayui/tooltip");

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _useReindexActions2 = require("../../../components/settings/indexes-page/hooks/useReindexActions.es");

    var _Portal = _interopRequireDefault(require("../portal/Portal.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var HeaderReindexStatus = function HeaderReindexStatus(_ref) {
      var container = _ref.container;

      var _useReindexActions = (0, _useReindexActions2.useReindexActions)(),
          reindexStatuses = _useReindexActions.reindexStatuses;

      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, reindexStatuses.length > 0 && /*#__PURE__*/_react.default.createElement(_Portal.default, {
          className: "control-menu-nav-item",
          container: container,
          elementId: "headerReindexStatus",
          position: "after"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "control-menu-icon px-2"
        }, /*#__PURE__*/_react.default.createElement(_tooltip.ClayTooltipProvider, null, /*#__PURE__*/_react.default.createElement("span", {
          "aria-hidden": "true",
          className: "loading-animation loading-animation-sm m-0",
          "data-tooltip-align": "bottom",
          title: Liferay.Language.get('the-workflow-metrics-data-is-currently-reindexing')
        })))))
      );
    };

    var _default = HeaderReindexStatus;
    exports.default = _default;
    //# sourceMappingURL=HeaderReindexStatus.es.js.map
  }
});
//# sourceMappingURL=HeaderReindexStatus.es.js.map