Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/components/search-field/SearchField.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/form', '@frontend-taglib-clay$clayui/management-toolbar', 'frontend-js-react-web$react', '../../hooks/useRouter.es', '../filter/util/filterUtil.es', '../router/queryString.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = require("@frontend-taglib-clay$clayui/button");

    var _form = require("@frontend-taglib-clay$clayui/form");

    var _managementToolbar = _interopRequireDefault(require("@frontend-taglib-clay$clayui/management-toolbar"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _useRouter = require("../../hooks/useRouter.es");

    var _filterUtil = require("../filter/util/filterUtil.es");

    var _queryString = require("../router/queryString.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var SearchField = function SearchField(_ref) {
      var disabled = _ref.disabled,
          _ref$placeholder = _ref.placeholder,
          placeholder = _ref$placeholder === void 0 ? Liferay.Language.get('search-for') : _ref$placeholder;
      var routerProps = (0, _useRouter.useRouter)();
      var query = (0, _queryString.parse)(routerProps.location.search);
      var _query$search = query.search,
          search = _query$search === void 0 ? null : _query$search;

      var _useState = (0, _react.useState)(null),
          _useState2 = _slicedToArray(_useState, 2),
          searchValue = _useState2[0],
          setSearchValue = _useState2[1];

      (0, _react.useEffect)(function () {
        setSearchValue(search);
      }, [search]);

      return (/*#__PURE__*/_react.default.createElement(_managementToolbar.default.Search, {
          method: "GET",
          onSubmit: function handleSubmit(event) {
            event.preventDefault();
            query.search = searchValue;
            (0, _filterUtil.replaceHistory)((0, _queryString.stringify)(query), routerProps);
          },
          showMobile: true
        }, /*#__PURE__*/_react.default.createElement(_form.ClayInput.Group, null, /*#__PURE__*/_react.default.createElement(_form.ClayInput.GroupItem, null, /*#__PURE__*/_react.default.createElement(_form.ClayInput, {
          "aria-label": "Search",
          className: "form-control input-group-inset input-group-inset-after",
          disabled: disabled,
          onChange: function handleChange(event) {
            setSearchValue(event.target.value);
          },
          placeholder: placeholder,
          type: "text",
          value: searchValue
        }), /*#__PURE__*/_react.default.createElement(_form.ClayInput.GroupInsetItem, {
          after: true,
          tag: "span"
        }, /*#__PURE__*/_react.default.createElement(_button.ClayButtonWithIcon, {
          displayType: "unstyled",
          symbol: "search",
          type: "submit"
        })))))
      );
    };

    var _default = SearchField;
    exports.default = _default;
    //# sourceMappingURL=SearchField.es.js.map
  }
});
//# sourceMappingURL=SearchField.es.js.map