Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/hooks/useBeforeUnload.es", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.useBeforeUnload = void 0;

    var _react = require("frontend-js-react-web$react");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var useBeforeUnload = function useBeforeUnload(callback) {
      (0, _react.useEffect)(function () {
        window.addEventListener('beforeunload', callback);
        return function () {
          window.removeEventListener('beforeunload', callback);
        };
      }, [callback]);
    };

    exports.useBeforeUnload = useBeforeUnload;
    //# sourceMappingURL=useBeforeUnload.es.js.map
  }
});
//# sourceMappingURL=useBeforeUnload.es.js.map