Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/util/numeral.es", ['module', 'exports', 'require', 'portal-workflow-metrics-web$numeral'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.formatNumber = formatNumber;

    var _numeral = _interopRequireDefault(require("portal-workflow-metrics-web$numeral"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    function setupLocale(locale) {
      _numeral.default.register('locale', locale, {
        abbreviations: {
          billion: Liferay.Language.get('billion-abbreviation'),
          million: Liferay.Language.get('million-abbreviation'),
          thousand: Liferay.Language.get('thousand-abbreviation'),
          trillion: Liferay.Language.get('trillion-abbreviation')
        },
        delimiters: {
          decimal: Liferay.Language.get('decimal-delimiter'),
          thousands: Liferay.Language.get('thousands-delimiter')
        }
      });

      _numeral.default.locale(locale);
    }

    setupLocale(Liferay.ThemeDisplay.getLanguageId());

    function formatNumber(number, pattern) {
      return (0, _numeral.default)(number).format(pattern);
    }
    //# sourceMappingURL=numeral.es.js.map
  }
});
//# sourceMappingURL=numeral.es.js.map