Liferay.Loader.define("commerce-frontend-js@3.0.26/utilities/forms/index", ['module', 'exports', 'require', '../AJAX/index', './formsHelper'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.apiSubmit = apiSubmit;
    exports.default = void 0;

    var _index = _interopRequireDefault(require("../AJAX/index"));

    var _formsHelper = require("./formsHelper");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function apiSubmit(formElement) {
      var API_URL = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;

      if ((0, _formsHelper.isFormElement)(formElement)) {
        var jsonData = (0, _formsHelper.toJSON)(new FormData(formElement));
        return _index.default.POST(API_URL, jsonData);
      }

      return Promise.reject(new Error('Not a form.'));
    }

    var _default = {
      apiSubmit: apiSubmit
    };
    exports.default = _default;
    //# sourceMappingURL=index.js.map
  }
});
//# sourceMappingURL=index.js.map