Liferay.Loader.define("commerce-organization-web@4.0.20/js/components/PaneViewSelector", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../utils/constants'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _constants = require("../utils/constants");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var ACCOUNTS = _constants.LIST_BY.ACCOUNTS,
        USERS = _constants.LIST_BY.USERS;

    function isSelected(listBy, callee) {
      return listBy === callee ? 'selected-pane' : '';
    }

    function Tab(props) {
      var listBy = props.listBy,
          onViewSelected = props.onViewSelected,
          totalMembers = props.totalMembers,
          viewName = props.viewName;
      return (/*#__PURE__*/_react.default.createElement("span", {
          className: !totalMembers ? 'disabled' : isSelected(listBy, viewName),
          onClick: !totalMembers ? null : onViewSelected.bind(this, viewName),
          role: "button",
          tabIndex: "-1"
        }, "".concat(viewName, " (").concat(totalMembers, ")"))
      );
    }

    var PaneViewSelector = /*#__PURE__*/function (_Component) {
      _inherits(PaneViewSelector, _Component);

      function PaneViewSelector() {
        _classCallCheck(this, PaneViewSelector);

        return _possibleConstructorReturn(this, _getPrototypeOf(PaneViewSelector).apply(this, arguments));
      }

      _createClass(PaneViewSelector, [{
        key: "render",
        value: function render() {
          var _this$props = this.props,
              listBy = _this$props.listBy,
              onViewSelected = _this$props.onViewSelected,
              totalAccounts = _this$props.totalAccounts,
              totalUsers = _this$props.totalUsers;
          return (/*#__PURE__*/_react.default.createElement("div", {
              className: "pane-list-selector"
            }, [USERS, ACCOUNTS].map(function (viewName, i) {
              var totalMembers = viewName === USERS ? totalUsers : totalAccounts;
              return (/*#__PURE__*/_react.default.createElement(Tab, {
                  key: i,
                  listBy: listBy,
                  onViewSelected: onViewSelected,
                  totalMembers: totalMembers,
                  viewName: viewName
                })
              );
            }))
          );
        }
      }]);

      return PaneViewSelector;
    }(_react.Component);

    var _default = PaneViewSelector;
    exports.default = _default;
    //# sourceMappingURL=PaneViewSelector.js.map
  }
});
//# sourceMappingURL=PaneViewSelector.js.map