Liferay.Loader.define("commerce-product-content-web@3.0.21/js/TagSelector.soy", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.templates = exports.comliferaycommerceproductcontentwebTagSelector = void 0;

    var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

    var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var templates;
    exports.templates = templates;
    goog.loadModule(function (exports) {
      var soy = goog.require('soy');

      goog.require('soydata');

      // This file was automatically generated from TagSelector.soy.
      // Please don't edit this file by hand.

      /**
       * @fileoverview Templates in namespace com.liferay.commerce.product.content.web.TagSelector.
       * @public
       */

      goog.module('com.liferay.commerce.product.content.web.TagSelector.incrementaldom');

      goog.require('goog.soy.data.SanitizedContent');

      goog.require('goog.string');

      var incrementalDom = goog.require('incrementaldom');

      goog.require('soy.asserts');

      goog.require('soy.idom');

      /**
       * @param {{
       *  index: number,
       *  namespace: (!goog.soy.data.SanitizedContent|null|string|undefined)
       * }} opt_data
       * @param {Object<string, *>=} opt_ijData
       * @param {Object<string, *>=} opt_ijData_deprecated
       * @return {void}
       * @suppress {checkTypes}
       */

      function $render(opt_data, opt_ijData, opt_ijData_deprecated) {
        opt_ijData = opt_ijData_deprecated || opt_ijData;
        /** @type {number} */

        var index = soy.asserts.assertType(goog.isNumber(opt_data.index), 'index', opt_data.index, 'number');
        /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

        var namespace = soy.asserts.assertType(opt_data.namespace == null || goog.isString(opt_data.namespace) || opt_data.namespace instanceof goog.soy.data.SanitizedContent, 'namespace', opt_data.namespace, '!goog.soy.data.SanitizedContent|null|string|undefined');
        var msg_12165__soy12166 = '';
        /** @desc  */

        var MSG_EXTERNAL_8814613134968842588 = Liferay.Language.get('add-tags');
        msg_12165__soy12166 += goog.string.unescapeEntities(MSG_EXTERNAL_8814613134968842588);
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('id', namespace + 'assetTagsSelector' + index);
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('input');
        incrementalDom.attr('id', namespace + 'queryTagNames' + index);
        incrementalDom.attr('name', namespace + 'queryTagNames' + index);
        incrementalDom.attr('ref', 'hiddenInput');
        incrementalDom.attr('type', 'hidden');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementClose('input');
        incrementalDom.elementOpenStart('input');
        incrementalDom.attr('class', 'form-control lfr-tag-selector-input');
        incrementalDom.attr('id', index + 'assetTagName');
        incrementalDom.attr('ref', 'tagInput');
        incrementalDom.attr('size', '15');
        incrementalDom.attr('title', msg_12165__soy12166);
        incrementalDom.attr('type', 'text');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementClose('input');
        incrementalDom.elementClose('div');
      }

      exports.render = $render;
      /**
       * @typedef {{
       *  index: number,
       *  namespace: (!goog.soy.data.SanitizedContent|null|string|undefined)
       * }}
       */

      $render.Params;

      if (goog.DEBUG) {
        $render.soyTemplateName = 'com.liferay.commerce.product.content.web.TagSelector.render';
      }

      exports.render.params = ["index", "namespace"];
      exports.render.types = {
        "index": "int",
        "namespace": "string"
      };
      exports.templates = templates = exports;
      return exports;
    });

    var comliferaycommerceproductcontentwebTagSelector = /*#__PURE__*/function (_Component) {
      _inherits(comliferaycommerceproductcontentwebTagSelector, _Component);

      function comliferaycommerceproductcontentwebTagSelector() {
        _classCallCheck(this, comliferaycommerceproductcontentwebTagSelector);

        return _possibleConstructorReturn(this, _getPrototypeOf(comliferaycommerceproductcontentwebTagSelector).apply(this, arguments));
      }

      return comliferaycommerceproductcontentwebTagSelector;
    }(_metalComponent.default);

    exports.comliferaycommerceproductcontentwebTagSelector = comliferaycommerceproductcontentwebTagSelector;

    _metalSoy.default.register(comliferaycommerceproductcontentwebTagSelector, templates);

    var _default = templates;
    /* jshint ignore:end */

    exports.default = _default;
    //# sourceMappingURL=TagSelector.soy.js.map
  }
});
//# sourceMappingURL=TagSelector.soy.js.map