Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/instance-list-page/InstanceListPageProvider.es", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.InstanceListContext = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var InstanceListContext = /*#__PURE__*/(0, _react.createContext)(null);
    exports.InstanceListContext = InstanceListContext;

    var InstanceListPageProvider = function InstanceListPageProvider(_ref) {
      var children = _ref.children;

      var _useState = (0, _react.useState)(),
          _useState2 = _slicedToArray(_useState, 2),
          instanceId = _useState2[0],
          setInstanceId = _useState2[1];

      var _useState3 = (0, _react.useState)(false),
          _useState4 = _slicedToArray(_useState3, 2),
          selectAll = _useState4[0],
          setSelectAll = _useState4[1];

      var _useState5 = (0, _react.useState)({}),
          _useState6 = _slicedToArray(_useState5, 2),
          selectedItem = _useState6[0],
          setSelectedItem = _useState6[1];

      var _useState7 = (0, _react.useState)([]),
          _useState8 = _slicedToArray(_useState7, 2),
          selectedItems = _useState8[0],
          setSelectedItems = _useState8[1];

      var selectedInstance = (0, _react.useMemo)(function () {
        return selectedItems.length === 1 ? selectedItems[0] : selectedItem;
      }, [selectedItem, selectedItems]);

      return (/*#__PURE__*/_react.default.createElement(InstanceListContext.Provider, {
          value: {
            instanceId: instanceId,
            selectAll: selectAll,
            selectedInstance: selectedInstance,
            selectedItem: selectedItem,
            selectedItems: selectedItems,
            setInstanceId: setInstanceId,
            setSelectAll: setSelectAll,
            setSelectedItem: setSelectedItem,
            setSelectedItems: setSelectedItems
          }
        }, children)
      );
    };

    var _default = InstanceListPageProvider;
    exports.default = _default;
    //# sourceMappingURL=InstanceListPageProvider.es.js.map
  }
});
//# sourceMappingURL=InstanceListPageProvider.es.js.map