Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/instance-list-page/modal/ModalProvider.es", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.ModalContext = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var ModalContext = /*#__PURE__*/(0, _react.createContext)();
    exports.ModalContext = ModalContext;

    var ModalProvider = function ModalProvider(_ref) {
      var children = _ref.children,
          processId = _ref.processId;

      var _useState = (0, _react.useState)({
        reassignedTasks: [],
        reassigning: false,
        selectedAssignee: null,
        useSameAssignee: false
      }),
          _useState2 = _slicedToArray(_useState, 2),
          bulkReassign = _useState2[0],
          setBulkReassign = _useState2[1];

      var _useState3 = (0, _react.useState)({
        transition: {
          errors: {},
          onGoing: false
        },
        transitionTasks: []
      }),
          _useState4 = _slicedToArray(_useState3, 2),
          bulkTransition = _useState4[0],
          setBulkTransition = _useState4[1];

      var _useState5 = (0, _react.useState)(false),
          _useState6 = _slicedToArray(_useState5, 2),
          fetchOnClose = _useState6[0],
          setFetchOnClose = _useState6[1];

      var _useState7 = (0, _react.useState)({
        selectAll: false,
        tasks: []
      }),
          _useState8 = _slicedToArray(_useState7, 2),
          selectTasks = _useState8[0],
          setSelectTasks = _useState8[1];

      var _useState9 = (0, _react.useState)({
        title: '',
        transitionName: ''
      }),
          _useState10 = _slicedToArray(_useState9, 2),
          singleTransition = _useState10[0],
          setSingleTransition = _useState10[1];

      var _useState11 = (0, _react.useState)({
        comment: undefined,
        dueDate: undefined
      }),
          _useState12 = _slicedToArray(_useState11, 2),
          updateDueDate = _useState12[0],
          setUpdateDueDate = _useState12[1];

      var _useState13 = (0, _react.useState)(''),
          _useState14 = _slicedToArray(_useState13, 2),
          visibleModal = _useState14[0],
          setVisibleModal = _useState14[1];

      return (/*#__PURE__*/_react.default.createElement(ModalContext.Provider, {
          value: {
            bulkReassign: bulkReassign,
            bulkTransition: bulkTransition,
            closeModal: function closeModal(refetch) {
              setFetchOnClose(refetch);
              setVisibleModal('');
            },
            fetchOnClose: fetchOnClose,
            openModal: setVisibleModal,
            processId: processId,
            selectTasks: selectTasks,
            setBulkReassign: setBulkReassign,
            setBulkTransition: setBulkTransition,
            setSelectTasks: setSelectTasks,
            setSingleTransition: setSingleTransition,
            setUpdateDueDate: setUpdateDueDate,
            singleTransition: singleTransition,
            updateDueDate: updateDueDate,
            visibleModal: visibleModal
          }
        }, children)
      );
    };

    var _default = ModalProvider;
    exports.default = _default;
    //# sourceMappingURL=ModalProvider.es.js.map
  }
});
//# sourceMappingURL=ModalProvider.es.js.map