Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/process-metrics/performance-by-step-card/PerformanceByStepCard.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/layout', 'frontend-js-react-web$react', '../../../shared/components/Panel.es', '../../../shared/components/promises-resolver/PromisesResolver.es', '../../../shared/hooks/useFetch.es', '../../../shared/hooks/useFilter.es', '../../filter/TimeRangeFilter.es', '../../filter/util/timeRangeUtil.es', './PerformanceByStepCardBody.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _Panel = _interopRequireDefault(require("../../../shared/components/Panel.es"));

    var _PromisesResolver = _interopRequireDefault(require("../../../shared/components/promises-resolver/PromisesResolver.es"));

    var _useFetch2 = require("../../../shared/hooks/useFetch.es");

    var _useFilter2 = require("../../../shared/hooks/useFilter.es");

    var _TimeRangeFilter = _interopRequireDefault(require("../../filter/TimeRangeFilter.es"));

    var _timeRangeUtil = require("../../filter/util/timeRangeUtil.es");

    var _PerformanceByStepCardBody = require("./PerformanceByStepCardBody.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var Header = function Header(_ref) {
      var disableFilters = _ref.disableFilters,
          prefixKey = _ref.prefixKey,
          totalCount = _ref.totalCount;
      return (/*#__PURE__*/_react.default.createElement(_Panel.default.HeaderWithOptions, {
          description: Liferay.Language.get('performance-by-step-description'),
          elementClasses: "dashboard-panel-header",
          title: Liferay.Language.get('performance-by-step')
        }, /*#__PURE__*/_react.default.createElement(_layout.default.ContentCol, {
          className: "m-0 management-bar management-bar-light navbar"
        }, /*#__PURE__*/_react.default.createElement("ul", {
          className: "navbar-nav"
        }, /*#__PURE__*/_react.default.createElement(_TimeRangeFilter.default, {
          disabled: !totalCount || disableFilters,
          options: {
            position: 'right'
          },
          prefixKey: prefixKey
        }))))
      );
    };

    var PerformanceByStepCard = function PerformanceByStepCard(_ref2) {
      var routeParams = _ref2.routeParams;
      var processId = routeParams.processId;

      var prefixKey = 'step';


      var _useFilter = (0, _useFilter2.useFilter)({
        filterKeys: ['timeRange'],
        prefixKeys: [prefixKey]
      }),
          _useFilter$filterValu = _useFilter.filterValues,
          stepDateEnd = _useFilter$filterValu.stepDateEnd,
          stepDateStart = _useFilter$filterValu.stepDateStart,
          _useFilter$filterValu2 = _useFilter$filterValu.stepTimeRange;

      _useFilter$filterValu2 = _useFilter$filterValu2 === void 0 ? [] : _useFilter$filterValu2;

      var _useFilter$filterValu3 = _slicedToArray(_useFilter$filterValu2, 1),
          key = _useFilter$filterValu3[0],
          filtersError = _useFilter.filtersError;

      var timeRange = (0, _react.useMemo)(function () {
        return (0, _timeRangeUtil.getTimeRangeParams)(stepDateStart, stepDateEnd);
      }, [stepDateEnd, stepDateStart]);

      var _useFetch = (0, _useFetch2.useFetch)({
        params: _objectSpread({
          completed: true,
          page: 1,
          pageSize: 10,
          sort: 'durationAvg:desc'
        }, timeRange),
        url: "/processes/".concat(processId, "/nodes/metrics")
      }),
          data = _useFetch.data,
          fetchData = _useFetch.fetchData;

      var promises = (0, _react.useMemo)(function () {
        if (timeRange.dateEnd && timeRange.dateStart) {
          return [fetchData()];
        }

        return [new Promise(function (_, reject) {
          return reject(filtersError);
        })];
      }, [fetchData, filtersError, timeRange.dateEnd, timeRange.dateStart]);
      return (/*#__PURE__*/_react.default.createElement(_Panel.default, {
          elementClasses: "dashboard-card"
        }, /*#__PURE__*/_react.default.createElement(_PromisesResolver.default, {
          promises: promises
        }, /*#__PURE__*/_react.default.createElement(PerformanceByStepCard.Header, {
          disableFilters: filtersError,
          prefixKey: prefixKey,
          totalCount: data.totalCount
        }), /*#__PURE__*/_react.default.createElement(PerformanceByStepCard.Body, data), data.totalCount > 0 && /*#__PURE__*/_react.default.createElement(PerformanceByStepCard.Footer, {
          processId: processId,
          timeRange: _objectSpread({
            key: key
          }, timeRange),
          totalCount: data.totalCount
        })))
      );
    };

    PerformanceByStepCard.Body = _PerformanceByStepCardBody.Body;
    PerformanceByStepCard.Footer = _PerformanceByStepCardBody.Footer;
    PerformanceByStepCard.Header = Header;
    var _default = PerformanceByStepCard;
    exports.default = _default;
    //# sourceMappingURL=PerformanceByStepCard.es.js.map
  }
});
//# sourceMappingURL=PerformanceByStepCard.es.js.map