Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/components/content-view/ContentView.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../empty-state/EmptyState.es', '../loading/LoadingState.es', '../promises-resolver/PromisesResolver.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _EmptyState = _interopRequireDefault(require("../empty-state/EmptyState.es"));

    var _LoadingState = _interopRequireDefault(require("../loading/LoadingState.es"));

    var _PromisesResolver = _interopRequireDefault(require("../promises-resolver/PromisesResolver.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var ContentView = function ContentView(_ref) {
      var children = _ref.children,
          _ref$emptyProps = _ref.emptyProps,
          emptyProps = _ref$emptyProps === void 0 ? {} : _ref$emptyProps,
          _ref$errorProps = _ref.errorProps,
          errorProps = _ref$errorProps === void 0 ? {} : _ref$errorProps,
          _ref$loadingProps = _ref.loadingProps,
          loadingProps = _ref$loadingProps === void 0 ? {} : _ref$loadingProps;
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_PromisesResolver.default.Pending, null, /*#__PURE__*/_react.default.createElement(_LoadingState.default, loadingProps)), /*#__PURE__*/_react.default.createElement(_PromisesResolver.default.Resolved, null, children || /*#__PURE__*/_react.default.createElement(_EmptyState.default, emptyProps)), /*#__PURE__*/_react.default.createElement(_PromisesResolver.default.Rejected, null, /*#__PURE__*/_react.default.createElement(_EmptyState.default, errorProps)))
      );
    };

    var _default = ContentView;
    exports.default = _default;
    //# sourceMappingURL=ContentView.es.js.map
  }
});
//# sourceMappingURL=ContentView.es.js.map