Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/components/filter/hooks/useFilterState.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../../hooks/useFilter.es', '../../../hooks/useRouterParams.es', '../util/filterEvents.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.useFilterState = void 0;

    var _react = require("frontend-js-react-web$react");

    var _useFilter2 = require("../../../hooks/useFilter.es");

    var _useRouterParams2 = require("../../../hooks/useRouterParams.es");

    var _filterEvents = require("../util/filterEvents.es");

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var useFilterState = function useFilterState(prefixedKey, withoutRouteParams) {
      var _useFilter = (0, _useFilter2.useFilter)({
        withoutRouteParams: withoutRouteParams
      }),
          dispatchFilter = _useFilter.dispatchFilter,
          filterValues = _useFilter.filterValues;

      var _useRouterParams = (0, _useRouterParams2.useRouterParams)(),
          filters = _useRouterParams.filters;

      var _useState = (0, _react.useState)([]),
          _useState2 = _slicedToArray(_useState, 2),
          items = _useState2[0],
          setItems = _useState2[1];

      var selectedKeys = withoutRouteParams ? filterValues[prefixedKey] : filters[prefixedKey];
      var selectedItems = (0, _react.useMemo)(function () {
        var selectedItems = (0, _filterEvents.buildFallbackItems)(selectedKeys) || [];

        if (items.length && selectedKeys) {
          selectedItems = items.filter(function (item) {
            return selectedKeys.includes(item.key);
          });
        }

        if (!withoutRouteParams) {
          dispatchFilter(prefixedKey, selectedItems);
        }

        return selectedItems; // eslint-disable-next-line react-hooks/exhaustive-deps
      }, [items, selectedKeys]);
      return {
        items: items,
        selectedItems: selectedItems,
        selectedKeys: selectedKeys,
        setItems: setItems
      };
    };

    exports.useFilterState = useFilterState;
    //# sourceMappingURL=useFilterState.es.js.map
  }
});
//# sourceMappingURL=useFilterState.es.js.map