Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/hooks/useRouterParams.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../components/filter/util/filterUtil.es', './useRouter.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.useRouterParams = void 0;

    var _react = require("frontend-js-react-web$react");

    var _filterUtil = require("../components/filter/util/filterUtil.es");

    var _useRouter2 = require("./useRouter.es");

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    var useRouterParams = function useRouterParams() {
      var _useRouter = (0, _useRouter2.useRouter)(),
          search = _useRouter.location.search,
          params = _useRouter.match.params;

      var filters = (0, _react.useMemo)(function () {
        return (0, _filterUtil.getFiltersParam)(search);
      }, [search]);
      return (0, _react.useMemo)(function () {
        return _objectSpread(_objectSpread({}, params), {}, {
          filters: filters
        });
      }, [filters, params]);
    };

    exports.useRouterParams = useRouterParams;
    //# sourceMappingURL=useRouterParams.es.js.map
  }
});
//# sourceMappingURL=useRouterParams.es.js.map