Liferay.Loader.define("frontend-taglib-clay@6.3.12/data_set_display/thunks/persistActiveView", ['module', 'exports', 'require', '../actions/updateActiveView', '../utilities/saveViewSettings'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = persistActiveView;

    var _updateActiveView = require("../actions/updateActiveView");

    var _saveViewSettings = require("../utilities/saveViewSettings");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function persistActiveView(_ref) {
      var activeViewName = _ref.activeViewName,
          appURL = _ref.appURL,
          id = _ref.id,
          portletId = _ref.portletId;
      return function (dispatch) {
        dispatch((0, _updateActiveView.updateActiveView)(activeViewName));
        return (0, _saveViewSettings.saveViewSettings)({
          appURL: appURL,
          id: id,
          portletId: portletId,
          settings: {
            name: activeViewName
          }
        });
      };
    }
    //# sourceMappingURL=persistActiveView.js.map
  }
});
//# sourceMappingURL=persistActiveView.js.map